import request from '@/utils/request'

// 查询清算信息列表
export function listInfo(query) {
    return request({
        url: '/crmLiquidationInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询清算信息详细
export function getInfo(id) {
    return request({
        url: '/crmLiquidationInfo/' + id,
        method: 'get'
    })
}

// 新增清算信息
export function addInfo(data) {
    return request({
        url: '/crmLiquidationInfo',
        method: 'post',
        data: data
    })
}

// 修改清算信息
export function updateInfo(data) {
    return request({
        url: '/crmLiquidationInfo',
        method: 'put',
        data: data
    })
}

// 删除清算信息
export function delInfo(id) {
    return request({
        url: '/crmLiquidationInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmLiquidationInfo/delete',ids)
}